<template lang='pug'>
Example(:components='components' title='Animation Example' :maxState="1")
  template(v-slot:description)
    h5 This example demonstrates in/out animations
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.
  template(v-slot:code)
    template(v-pre).
      mixin element(anim)
        .col-3
          AnimBlock(anim=anim)
            .btn.btn-primary.w-100(v-show='state === 0')= anim
      .row.justify-content-center.align-items-center(@click='next()' style='min-height: 50px;')
        +element('fade')
        +element('flip')
        +element('pop')
        +element('height')
</template>
<script>
import { BaseAnimationBlock as AnimBlock } from "../src";

import Example from "./AppExample.vue";

export default {
  name: "ExampleAnimation",
  components: { Example },
  data() {
    return {
      components: { AnimBlock }
    };
  }
};

</script>
